package industries.sunshine.planningpoker

import scala.scalajs.js
import scala.scalajs.js.annotation.*
import com.raquo.laminar.api.L.{*, given}

import org.scalajs.dom

// import javascriptLogo from "/javascript.svg"
@js.native @JSImport("/javascript.svg", JSImport.Default)
val javascriptLogo: String = js.native

@main
def LiveChart(): Unit =
  renderOnDomContentLoaded(
    dom.document.getElementById("app"),
    Main.appElement()
  )

object Main {
  val bgColor = "bg-green-200"
  def appElement(): Element = {
    div(
      className := "w-screen h-screen flex flex-col justify-center items-center",
      div(
        className := "h-24 w-full flex flex-for justify-center items-center",
        className := bgColor,
        p(className := "text-2xl", "Here be header"),
      ),
      RoomView.renderRoom(RoomStateView.testRoom)
    )
  }
}
